* {
  padding: 0;
  margin: 0;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  -webkit-tap-highlight-color: transparent;
}

html, body {
  width: 100%;
  position: relative;
  font-size: 0.2rem;
  font-family: Arial, sans-serif, 'Helvetica Neue', Helvetica, 'PingFang SC', 'Hiragino Sans GB', 'Microsoft YaHei', '微软雅黑';
}

a {
  text-decoration: none;
}

li {
  list-style: none;
}
.hide{
  display: none !important;
}
.row-center {
  display: flex;
  justify-content: center;
  align-items: center;
}
.row-between {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.wrap {
  width: 100%;
  min-width: 1200px;
  height: 20rem;
  background: url(../img/bg.jpg) no-repeat;
  background-size: 100% auto;
  overflow: hidden;
}
.logo{
  width: 3rem;
  position: absolute;
  left: 2rem;
  top: 0.1rem;
}
.btns{
  position: absolute;
  right: 0.5rem;
  top: 0.1rem;
}
.usericon, .register, .startgame, .recordbtn{
  width: 1.45rem;
  height: 0.44rem;
  background: url(../img/btns.png) no-repeat;
  background-size: 5.18rem auto;
  cursor: pointer;
}
.usericon{
  background-position: 0.25rem 0;
}
.register {
  width: 1.2rem;
  background-position: -1.16rem 0;
}
.startgame{
  background-position: -2.37rem 0;
}
.recordbtn{
  background-position: -3.85rem 0;
}
.slogan{
  width: 6.23rem;
  height: 3.4rem;
  background: url(../img/slogan.png) no-repeat;
  background-size: 100% auto;
  margin: 0 auto;
  overflow: hidden;
}
.slogan p{
  width: 4.2rem;
  font-size: 0.17rem;
  color: #ffdd66;
  margin-top: 3.1rem;
  margin-left: 1rem;
  line-height: 0.2rem;
  text-align: center;
}
.wheelcont{
  position: relative;
}
.wheel{
  width: 4.76rem;
  height: 4.76rem;
  margin: 0 auto;
  position: relative;
  margin-top: 0.5rem;
  background: url(../img/v1/pan.png) no-repeat;
  background-size: 100% auto;
  transform: rotate(0deg);
}
.arrow{
  width: 1.58rem;
  height: 1.97rem;
  background: url(../img/arrow.png) no-repeat;
  background-size: 100% auto;
  position: absolute;
  left: 50%;
  top: 50%;
  margin-top: -1.1rem;
  margin-left: -0.79rem;
  cursor: pointer;
}
.arrow p{
  font-size: 0.14rem;
  color: #b23223;
  line-height: 0.2rem;
  margin-top: 1.3rem;
  font-weight: bold;
  text-align: center;
}
.cjbtn{
  width: 5.62rem;
  height: 0.86rem;
  background: url(../img/cj.png) no-repeat;
  background-size: 100% auto;
  margin: 0 auto;
  margin-top: 2rem;
  cursor: pointer;
}
.cjbtn span{
  width: 2.5rem;
  height: 100%;
}
.rewardbox{
  width: 5.48rem;
  height: 4.98rem;
  background: url(../img/dt.png) no-repeat;
  background-size: 100% auto;
  position: absolute;
  left: 50%;
  top: 13.2rem;
  margin-left: -5.6rem;
  overflow: hidden;
}
.rewardbtn{
  width: 1.5rem;
  height: 0.5rem;
  margin-left: 3.7rem;
  cursor: pointer;
}
.rewardlist1{
  height: 3.6rem;
  margin: 0 0.1rem;
  margin-top: 0.7rem;
  font-size: 0.16rem;
  color: #a5441b;
  line-height: 0.4rem;
  text-align: center;
  overflow: hidden;
}
.rewardlist1 li div{
  flex: 1;
}
.rewardlist1 li div.row2{
  line-height: 0.16rem;
  display: flex;
  justify-content: center;
  align-items: center;
}
.rule{
  width: 5.18rem;
  height: 5.72rem;
  background: url(../img/rule.png) no-repeat;
  background-size: 100% auto;
  position: absolute;
  left: 50%;
  top: 13rem;
  margin-left: 0.5rem;
}
.rule p{
  font-size: 0.16rem;
  color: #a5441b;
  line-height: 0.24rem;
  margin: 0.3rem 0.4rem;
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
}
.rule p:nth-child(1){
  margin-top: 1.6rem;
}
.rule span{
  width: auto;
}
.ruleindex{
  width: 0.24rem !important;
  height: 0.24rem;
  color: #ffe57b;
  background: #ef5917;
  text-align: center;
  line-height: 0.24rem;
  margin-right: 0.1rem;
  flex-shrink: 0;
}
.userinfo{
  color: #fff;
}
.userinfo span{
  margin-left: 0.1rem;
  cursor: pointer;
}
.pop{
  width: 100%;
  height: 100%;
  position: fixed;
  left: 0;
  top: 0;
  background: rgba(0, 0, 0, 0.8);
  z-index: 999;
  display: none;
}
.pop1, .pop2, .pop3, .pop4, .pop5, .pop6, .pop7{
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translateX(-50%) translateY(-50%);
  -webkit-transform: translateX(-50%) translateY(-50%);
  -moz-transform: translateX(-50%) translateY(-50%);
  z-index: 999;
  background-size: 100% auto !important;
}
.pop1{
  width: 6.02rem;
  height: 4.05rem;
  background: url(../img/pop1.png) no-repeat;
}
.account, .password{
  width: 4.7rem;
  height: 0.5rem;
  display: block;
  border: 0.01rem solid #ed8c39;
  border-radius: 0.1rem;
  background: #e9f0fe;
  margin-left: 0.42rem;
  outline: medium;
  font-size: 0.2rem;
  color: #000;
  text-indent: 0.15rem;
}
.account{
  margin-top: 1.15rem;
  margin-bottom: 0.22rem;
}
.subbtns{
  width: 4.7rem;
  height: 0.5rem;
  margin-left: 0.4rem;
  margin-top: 0.3rem;
}
.subbtns div{
  width: 2.1rem;
  height: 100%;
  cursor: pointer;
}
.registerlink{
  display: block;
  width: 1rem;
  height: 0.5rem;
  margin-left: 3rem;
}
.pop2{
  width: 6.02rem;
  height: 4.61rem;
  background: url(../img/pop2.png) no-repeat;
}
.server, .role{
  width: 3.5rem;
  height: 0.5rem;
  position: relative;
  margin-left: 1.53rem;
  margin-bottom: 0.38rem;
}
.server{
  margin-top: 1.43rem;
}
.server p{
  width: 100%;
  height: 100%;
  text-indent: 0.15rem;
  cursor: pointer;
}
.gamelist, .serverlist{
  position: absolute;
  width: 100%;
  height: 2rem;
  background: #fff;
  border: 0.01rem solid #f5872e;
  overflow: auto;
  left: 0;
  top: 0.5rem;
  z-index: 10;
  line-height: 0.34rem;
  text-indent: 0.15rem;
  display: none;
}
.gamelist li, .serverlist li{
  cursor: pointer;
}
.role{
  margin-bottom: 0.75rem;
  text-indent: 0.15rem;
}
.pop3{
  width: 5.12rem;
  height: 3.79rem;
  background: url(../img/pop3.png) no-repeat;
  font-size: 0.24rem;
  color: #f5872e;
  font-weight: bold;
}
.pop3 img{
  width: 1.2rem;
  height: 1.2rem;
  object-fit: cover;
  display: block;
  margin-left: 1.7rem;
  margin-top: 1.4rem;
}
.cjtext{
  width: 4.8rem;
  margin-top: 0.5rem;
  text-align: center;
}
.pop4{
  width: 5.12rem;
  height: 4.91rem;
  background: url(../img/pop4.png) no-repeat;
}
.rewardlist{
  height: 2.9rem;
  margin: 1.2rem 0.6rem 0 0.1rem;
  overflow: auto;
  font-size: 0.14rem;
  line-height: 0.3rem;
  color: #a5441b;
  text-align: center;
}
.rewardlist span{
  flex: 1
}
.rewardlist3 span {
  flex: auto;
}
.rewardlist3 span:nth-child(1){
  width: 1.2rem;
}
.rewardlist3 span:nth-child(2){
  width: 2rem;
}
.rewardlist3 span:nth-child(3){
  width: 1.2rem;
}
.rewardlist3 span:nth-child(4){
  width: 1rem
}
.exportbtn{
  width: 3.2rem;
  height: 0.5rem;
  font-size: 0.26rem;
  color: #fff;
  background: #f5872e;
  text-align: center;
  line-height: 0.5rem;
  margin-top: 0.1rem;
  margin-left: 0.7rem;
  cursor: pointer;
}
.pop5{
  width: 6.02rem;
  height: 4.61rem;
  background: url(../img/pop5_1.png) no-repeat;
}
.rewardlist span{
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.rewardlist2{
  height: 3.3rem;
}
.pop6{
  width: 7.48rem;
  height: 4.61rem;
  background: url(../img/pop6.png?v=2) no-repeat;
}
.copybtn{
  display: block;
  width: 1rem;
  height: 100%;
  background: #f5872e;
  color: #fff;
  cursor: pointer;
  margin-left: 0.45rem;
}
.rewardlist3{
  height: 2.6rem;
}
.rewardlist3 li{
  margin-bottom: 0.1rem;
}
.exportbtn2{
  margin-left: 2rem;
}
.pop7{
  width: 8.97rem;
  height: 5.38rem;
  background: url(../img/pop7.png) no-repeat;
}
.rewardlist4{
  height: 4.1rem;
  margin: 0.9rem 0.7rem 0 0.2rem;
}
.cjitem{
  width: 2rem;
  height: 0.3rem;
  float: left;
  text-align: left;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap
}
.light{
  color: #ff4c23;
}
.close{
  width: 0.5rem;
  height: 0.5rem;
  position: absolute;
  right: 0rem;
  top: 0rem;
  cursor: pointer;
}
